Part Versatz2D

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Offset2D and the translation is 87% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română
Arrow-left.svg Part Offset.png 3D Offset Vorherige:
Nächste: Thickness Part Thickness.png Arrow-right.svg

Part Offset2D.svg {{{Name/de}}}

Menüeintrag
Part → 2D Offset
Arbeitsbereich
Arbeitsbereich Part
Standardtastenkürzel
None
In der Version eingeführt
0.17
Siehe auch
Part Offset 3D, Part Thickness, Draft Offset


Beschreibung

Teil 2D Versatz konstruiert einen Draht, parallel zum ursprünglichen Draht, in einem bestimmten Abstand von diesem. Oder vergrößert/schrumpft gleichzeitig eine ebene Fläche.

Der Draht/Fläche muss plan sein. Es kann mehrere Drähte in einem Objekt geben, nicht unbedingt koplanar.

Part Offset2D Demo.png

Anwendung

  1. Wähle ein Objekt aus, zum versetzen aus.
  2. Drücke die Taste Part Offset2D.svg Offset2D Taste.
  3. Richte den Versatz im Aufgabenbereich ein.
  4. Drücke OK.

Ein parametrisches 2D Offset Objekt wird erstellt. Originalobjekte werden in den Drahtmodell Anzeigemodus geschaltet.

Eigenschaften

  • Daten-EigenschaftQuelle: Verbindung zur Originalform
  • Daten-EigenschaftWert Der Abstand, um den Draht/Fläche zu vergrößern um. Im negativen Fall wird stattdessen die Draht/Fläche geschrumpft.
  • Daten-EigenschaftModus ("Pipe" oder "Skin"): Legt fest, wie nicht geschlosseneDrähte verarbeitet werden. Bei "Pipe" wird der Draht so umrissen, als wäre er eine extrem dünne, geschlossene Kontur. Wenn "Skin", wird ein offener Draht erzeugt.
Part Offset2D Mode.png
  • Daten-EigenschaftFügen ("Bogen", "Tangente", "Schnittpunkt"): legt das Verhalten um Knicke fest. Wenn "Bogen", sind Offsetsegmente mit einem Kreisbogen verbunden, der am Scheitelpunkt zentriert ist. "Tangente" wird auf OCC7.0.0.0. "Schnittpunkt" nicht unterstützt: Versetzte Segmente werden bis zum Schnittpunkt verlängert.
Part Offset2D Join.png
  • Daten-EigenschaftKnotenpunkt ("falsch", "wahr"): setzt, ob mehrere Drähte gemeinsam oder unabhängig behandelt werden. Wenn "falsch", werden die Drähte unabhängig voneinander versetzt, Knotenpunkte zwischen den resultierenden Drähten werden ignoriert. Wenn "true", werden die Drähte auf kollektive Weise versetzt.
Part Offset2D Intersection.png
Nur Drähte innerhalb einer Verbindung werden gekoppelt. Wenn die Struktur beispielsweise wie der Verbund (Draht1, Draht2, Verbindung (Draht3, Draht4)) ist, werden Draht1 und Draht2 gemeinsam, aber unabhängig von Draht3 und Draht4 behandelt. Ebenso werden Draht3 und Draht4 gemeinsam, aber unabhängig von Draht1+Draht2 behandelt.
Auch im kollektiven Modus sind die Richtungen der Drähte wichtig und beeinflussen die Richtung des Versatzes. Dies steht in engem Zusammenhang mit der Art und Weise, wie Löcher in Flächen behandelt werden.
Drähte, die gemeinsam behandelt werden, müssen koplanar sein. Drähte, die unabhängig voneinander versetzt werden, müssen nicht koplanar sein.
  • Daten-EigenschaftAusfüllen ("false", "true"): wenn "true", wird der Raum zwischen dem ursprünglichen Draht/Fläche und dem Offset mit einer Fläche gefüllt.
Part Offset2D Fill.png

Bekannte Themen

  • Die meisten nicht standardmäßigen Modi funktionieren nur mit OCC 7.0.0 oder höher.
  • Die Verwendung des Werkzeugs kann zu einem Absturz von FreeCAD führen (siehe nächster Punkt). Unter Windows werden diese Abstürze in Ausnahmen umgewandelt und führen im Allgemeinen nicht zum Schließen von FreeCAD; unter anderen Betriebssystemen ist dies nicht der Fall. Es wird daher empfohlen, das Projekt zu speichern, bevor Sie versuchen, das Tool zu verwenden.
  • Vergrößern von Flächen mit kreisförmigen Löchern um einen Betrag, der groß genug ist, um das Schließen der Löcher zu bewirken, tritt ein Crash auf (OCC 7.0.0.0). Das Problem scheint kreisförmig zu sein; andere Formen scheinen sich richtig zu schließen.
  • Beim Versetzen von Kreisen, die eine Platzierung ungleich Null haben, wird das Ergebnis falsch platziert. (OCC 7.0.0.0)
  • Beim Versatz von Kreisen werden diese manchmal in eine unerwartete Richtung versetzt (z.B. nach innen statt nach außen). (OCC 7.0.0.0)
  • Fill="true" funktioniert nicht, wenn offene Drähte im "Skin"-Modus gemeinsam versetzt werden.
  • "Tangente" Fügemodus funktioniert nicht (OCC 7.0.0.0)
  • Versatzdrähte aus einem einzigen Liniensegment werden nicht unterstützt (da der Linienabschnitt keine Ebene definiert). Auch einzelne Linienabschnitte können nicht am Kollektivversatz teilnehmen.

Skripten

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

f = App.ActiveDocument.addObject("Part::Offset2D", "Offset2D")
f.Source =  #some object
f.Value = 10.0

2D offset is also available as a method of Part.Shape. Example:

import Part
circle = Part.Circle().toShape()
enlarged_circle = circle.makeOffset2D(10.0)
Part.show(circle)
Part.show(enlarged_circle)
# makeOffset2D(offset, join = 0, fill = False, openResult = false, intersection = false)
# 
# * offset: distance to expand the shape by. 
# 
# * join: method of offsetting non-tangent joints. 0 = arcs, 1 = tangent, 2 =
# intersection
# 
# * fill: if true, the output is a face filling the space covered by offset. If
# false, the output is a wire/face.
# 
# * openResult: True for "Skin" mode; False for Pipe mode. 
# 
# * intersection: collective offset
# 
# Returns: result of offsetting (wire or face or compound of those). Compounding
# structure follows that of source shape.


Arrow-left.svg Part Offset.png 3D Offset Vorherige:
Nächste: Thickness Part Thickness.png Arrow-right.svg